from pydantic import BaseModel
from typing import Optional


class LoginRequest(BaseModel):
    username: str
    password: str


class LoginResponse(BaseModel):
    token: str
    user: dict
    menus: list


class TokenPayload(BaseModel):
    userId: str
    username: str
    role: str
